Attean::BindingEqualityTest(3pm)

NAME
Attean::BindingEqualityTest - Test for equality of binding sets with bnode isomorphism

VERSION
This document describes Attean::BindingEqualityTest version 0.030

SYNOPSIS
  use v5.14;
  use Attean;
  my $test      = Attean::BindingEqualityTest->new();
  if ($test->equals($iter_a, $iter_b)) {
    say "Iterators contain equivalent bindings";
  }

DESCRIPTION
...

METHODS

"equals ( $graph1, $graph2 )"
    Returns true if the invocant and $graph represent two equal RDF graphs (e.g. there exists a bijection between the RDF statements of the invocant and $graph).

"is_subgraph_of ( $graph1, $graph2 )"
    Returns true if the invocant is a subgraph of $graph. (i.e. there exists an injection of RDF statements from the invocant to $graph.)

"injection_map ( $graph1, $graph2 )"
    If the invocant is a subgraph of $graph, returns a mapping of blank node identifiers from the invocant graph to $graph as a hashref. Otherwise returns false. The solution is not always unique; where there exist multiple solutions, the solution returned is arbitrary.

"split_blank_statements( $iter )"
    Returns two array refs containing bindings from $iter, with bindings containing blank nodes and bindings without any blank nodes, respectively.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/attean/issues>.

SEE ALSO

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2014--2020 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.